
#include "led.h"

void led_init()
{
    rGPFCON &= ~(0xff<<8);
    rGPFCON |= (0x55<<8);

    rGPFUP |= (0xf<<4);

    rGPFDAT = 0xff;
}

void led_on(int hex)
{
    hex &= 0xf0;
    rGPFDAT &= ~hex;
}

void led_off(int hex)
{
    hex &= 0xf0;
    rGPFDAT |= hex;
}

void led_wait()
{
    unsigned int i=0, j=0;
    
    for (i=0; i<WAIT_TIME; i++)
	for (j=0; j<WAIT_TIME; j++)
	    ;
}
